Bug 1889902 - inline re-signing stops [rhel-7.9.z] [NEEDINFO]
Summary: inline re-signing stops [rhel-7.9.z]
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bind
Version: 7.7
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Tomas Korbar
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 21:00 UTC by Mason Loring Bliss
Modified: 2020-11-27 08:59 UTC (History)
8 users (show)

Fixed In Version: bind-9.11.4-26.P2.el7_9.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
sbroz: needinfo? (cww)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Internet Systems Consortium (ISC) isc-projects/bind9 - issues 1627 None None None 2020-11-02 12:07:34 UTC
Internet Systems Consortium (ISC) isc-projects/bind9 - merge_requests 3135 None None None 2020-11-02 19:22:36 UTC
Internet Systems Consortium (ISC) isc-projects/bind9 - merge_requests 3730 None None None 2020-11-02 19:29:04 UTC
Internet Systems Consortium (ISC) isc-projects/bind9 - merge_requests 3798 None None None 2020-11-02 12:08:49 UTC

Description Mason Loring Bliss 2020-10-20 21:00:04 UTC
Description of problem:

Noted and fixed upstream, resigning stops.

Upstream bug is here:

https://gitlab.isc.org/isc-projects/bind9/-/issues/1627

As this is relatively new, it probably impacts RHEL 8 as well, but I have 
yet to confirm this given a missing build dependency issue I'm chasing down 
separately.

The fix, from upstream, is:

diff --git a/lib/dns/zone.c b/lib/dns/zone.c
index 3ef2394a5a..4ceff1caff 100644
--- a/lib/dns/zone.c
+++ b/lib/dns/zone.c
@@ -4999,6 +4999,14 @@ zone_postload(dns_zone_t *zone, dns_db_t *db, isc_time_t loadtime,
            DNS_ZONE_FLAG(zone->secure, DNS_ZONEFLG_LOADED))
        {
                DNS_ZONE_CLRFLAG(zone->secure, DNS_ZONEFLG_LOADPENDING);
+               /*
+                * Re-start zone maintenance if it had been stalled
+                * due to DNS_ZONEFLG_LOADPENDING being set when
+                * zone_maintenance was called.
+                */
+               if (zone->secure->task != NULL) {
+                       zone_settimer(zone->secure, &now);
+               }
        }

I don't see that zone->secure->task check anywhere in our source, nor do I 
see the comment.


Note You need to log in before you can comment on or make changes to this bug.